Package Details: sugar-base 0.98.0-1

Git Clone URL: (read-only)
Package Base: sugar-base
Description: Helpers for the development of services and activities in Sugar
Upstream URL:
Licenses: GPL
Groups: sugar-desktop, glucose
Submitter: Cilyan
Maintainer: cgueret
Last Packager: cgueret
Votes: 20
Popularity: 0.024435
First Submitted: 2009-12-19 15:17
Last Updated: 2015-07-21 12:27

Latest Comments

cgueret commented on 2012-10-20 08:26

Fixed. Thanks for the notification!
I also fixed some more similar issues in sugar-datastore

Anonymous comment on 2012-10-20 06:35

The same with python-cjson, I had to change it to python2-cjson to compile because it wasn't found in the repositories. Please change the PKGBUILD if any of you with more experience consider this observation as right. Thanks.

cgueret commented on 2012-05-15 19:05

@boon, thanks! That's fixed now

boon commented on 2012-05-15 15:59

to use sugar-emulator python2-decorator is needed, not python-decorator

cgueret commented on 2011-06-28 09:37

python-cjson is indeed needed. I couldn't find any part of the code that makes use of pygtksourceview2 but trusting @Mkman, I added it anyway.
I also updated the make depends to ask for pygobject-devel (new since ver 2.28 of the package). Everything works fine here now.

Cilyan commented on 2011-06-07 21:36

pkg-config is part of base-devel which is a tacit prerequisite to any package compilation
I do not remember how the dependency tree look (it's been too long), but I believe that python-simplejson is used (or did they switch again?) and pygtksourceview is a dependency of another sugar component (base should not need it yet).

Anonymous comment on 2011-06-07 20:54

We need pkg-config to compile, then we need python-cjson and pygtksourceview2 to run it.

cgueret commented on 2010-12-10 08:51

Adopted and updated.

cgueret commented on 2010-12-06 14:03

This package does not compile anymore with python 3 as default.
Besides, shall it be updated to 0.90.1 ?